corda / net.corda.client.jfx.model / TrackedDelegate / SubjectDelegate

# SubjectDelegate

`class SubjectDelegate<M : Any, T> : TrackedDelegate<M>`

### Constructors

<init> | `SubjectDelegate(klass: KClass<M>, subjectProperty: (M) -> Subject<T, T>)`

### Properties

subjectProperty | `val subjectProperty: (M) -> Subject<T, T>`

### Inherited Properties

klass | `val klass: KClass<M>`

### Functions

getValue | `operator fun getValue(thisRef: Any, property: KProperty<*>): Subject<T, T>`